package ru.yandex.webmaster3.core.searchquery.history;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Set;

/**
 * @author tsyplyaev
 */
public class QueriesRemoved extends GroupModification {
    private Set<String> queries;

    public QueriesRemoved() {
        super(ModificationType.QUERIES_REMOVED);
    }

    public QueriesRemoved(@JsonProperty Set<String> queries) {
        super(ModificationType.QUERIES_REMOVED);
        this.queries = queries;
    }

    public Set<String> getQueries() {
        return queries;
    }

    public void setQueries(Set<String> queries) {
        this.queries = queries;
    }
}
